import * as React from "react";
import { CSSProperties, Dispatch, SetStateAction } from "react";
import { ResponderEvent, StateType } from "react-gesture-responder";
export interface PanelEnlargeCtxType {
    enlarge: number;
    setEnlarge: Dispatch<SetStateAction<number>>;
    activecas: number;
    setActivecas: Dispatch<SetStateAction<number>>;
}
/** 右半边详细操作页面被放大为整个视口的页面，放大
 * 跨越多层次的APP路由器页面。
 * */
export declare const PanelEnlargeCtx: React.Context<PanelEnlargeCtxType>;
interface TwoHalfFrameProps extends React.HTMLAttributes<HTMLDivElement> {
    children: React.ReactNode;
    /**是不是轮播台形式的｛2个半边页面切换｝，还是平铺开的大屏幕两半边一起显示出来的模式=false。
     * */
    rightPanel: React.ReactNode;
    onPagerTermination?: (state: StateType, e?: ResponderEvent) => boolean;
    leftcsStyle?: CSSProperties;
    leftncStyle?: CSSProperties;
    rightcsStyle?: CSSProperties;
    rightncStyle?: CSSProperties;
}
/**公用框架组件  Left左半列表摘要 + 右半边Console详细操作的页面。
 * 本组件是框架，要配合 <TwoHalfRightPanel/>组件 以及<PanelEnlargeCtx.Provider 这两个东西来协同完成框架页面构建。
 * 需要在页面路由器头上加<PanelEnlargeCtx.Provider  value={{ enlarge, setEnlarge，activecas，setActivecas }}>
 * */
export declare const TwoHalfFrame: ({ children, rightPanel, ...other }: TwoHalfFrameProps) => import("@emotion/react/jsx-runtime").JSX.Element;
export {};
