import * as React from "react";
import { StateType, Callbacks, ResponderEvent } from "react-gesture-responder";
import { SpringConfig } from "react-spring";
import { CSSProperties } from "react";
/**
 * ReactPager
 * Provide views that can be swiped left or right (with touch devices).
 * 旧的有interface PagerProps extends React.HTMLAttributes<HTMLDivElement> ； children类型冲突；
 */
export interface TwoHalfPageProps {
    id?: string | undefined;
    value: number;
    onRequestChange: (value: number) => void;
    enableMouse?: boolean;
    enableGestures?: boolean;
    enableScrollLock?: boolean;
    animationConfig?: SpringConfig;
    onTerminationRequest?: Callbacks["onTerminationRequest"];
    /**onMove要不要触发滑动事件啊: , 从外部可以篡改逻辑的： suggested参数 是内部默认的取值。
     * Optionally override onMoveShouldSet defaults */
    onMoveShouldSet?: (state: StateType, e: ResponderEvent, suggested: boolean) => boolean;
    minVelocity?: number;
    paneStyle?: CSSProperties | undefined;
    children: Array<React.ReactNode>;
    style?: CSSProperties | undefined;
    className?: string | undefined;
    /**是不是轮播台形式的｛2个半边页面切换｝，还是平铺开的大屏幕两半边一起显示出来的模式=false。
     * */
    carousel: boolean;
}
export interface PagerHandles {
    focus(i?: number): void;
}
export interface CallbackProps {
    style: React.CSSProperties;
    "aria-hidden": boolean;
    ref: (el: HTMLDivElement | null) => void;
}
/**TwoHalfFrame问题：手机横屏竖屏切换，在轮播台模式和非轮播台切换，引起儿子组件的重新mount,导致失去遗留状态：对话框等失去。
 * 如何不改变mount? 仅在界面和操控触发上变动？
 * */
export declare const TwoHalfPage: React.ForwardRefExoticComponent<TwoHalfPageProps & React.RefAttributes<unknown>>;
